Package org.eclipse.cdt.core.dom.ast

# Interface IASTFunctionCallExpression

All Superinterfaces:
  `IASTExpression`, `IASTInitializerClause`, `IASTNode`

All Known Subinterfaces:
  `ICPPASTFunctionCallExpression`

public interface IASTFunctionCallExpression extends IASTExpression
Represents a function call expression, f(x), where f is the function name expression and x is the parameter expression.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`ARGUMENT`
`static final ASTNodeProperty`
`FUNCTION_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTFunctionCallExpression`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`IASTFunctionCallExpression`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`IASTInitializerClause[]`
`getArguments()`
Returns the arguments for this function call, never `null`.
`IASTExpression`
`getFunctionNameExpression()`
Returns the function name expression.
`void`
`setArguments(IASTInitializerClause[] args)`
Sets the arguments of the function call.
`void`
`setFunctionNameExpression(IASTExpression expression)`
Sets the function name expression.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### FUNCTION_NAME

static final ASTNodeProperty FUNCTION_NAME

### ARGUMENT

static final ASTNodeProperty ARGUMENT

Since:
  5.2

## Method Details

### getFunctionNameExpression

IASTExpression getFunctionNameExpression()
Returns the function name expression.

### getArguments

IASTInitializerClause[] getArguments()
Returns the arguments for this function call, never `null`.

Since:
  5.2

### copy

IASTFunctionCallExpression copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

IASTFunctionCallExpression copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3

### setFunctionNameExpression

void setFunctionNameExpression(IASTExpression expression)
Sets the function name expression. Not allowed on frozen AST.

### setArguments

void setArguments(IASTInitializerClause[] args)
Sets the arguments of the function call. Not allowed on frozen AST.

Since:
  5.2